#pragma once

#include "CoreMinimal.h"
#include "Engine/DataAsset.h"
#include "KillerItemDependencies.h"
#include "KillerComboItemDependencies.h"
#include "DBDKillerItemDependenciesOverrides.generated.h"

UCLASS(Blueprintable)
class UDBDKillerItemDependenciesOverrides : public UDataAsset
{
	GENERATED_BODY()

private:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	TArray<FKillerItemDependencies> _overrides;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	TArray<FKillerComboItemDependencies> _comboOverrides;

public:
	UDBDKillerItemDependenciesOverrides();
};

FORCEINLINE uint32 GetTypeHash(const UDBDKillerItemDependenciesOverrides) { return 0; }
